%define with_libstdc_preview 1 

Name:           scim-anthy
Version:        1.0.0
Release:	1.fc5.1

License:        GPL
URL:            http://scim-imengine.sourceforge.jp/
Source0:        http://sourceforge.jp/projects/scim-imengine/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  scim-devel
BuildRequires:	anthy-devel >= 6700b-1 gettext-devel
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Patch1:        scim-anthy-helper-moduledir.patch

Summary:        SCIM IMEngine for anthy for Japanese input
Group:          System Environment/Libraries
Requires:	scim, kasumi
Obsoletes:	iiimf-le-canna <= 1:12.2
%description
Scim-anthy is a SCIM IMEngine module for anthy to support Japanese input.


%prep
%setup -q
%patch1 -p1 -b .1-moduledir
# patch1 touches src/Makefile.am
aclocal
automake
autoconf


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/scim-1.0/*/Helper/anthy-imengine-helper.so
%{_libdir}/scim-1.0/*/IMEngine/anthy.so
%{_libdir}/scim-1.0/*/SetupUI/anthy-imengine-setup.so
%{_datadir}/scim


%changelog
* Thu May 11 2006 Jens Petersen <petersen@redhat.com> - 1.0.0-1.fc5.1
- rebuild to fix deps on ppc (#188443)

* Thu Mar 30 2006 Akira TAGOH <tagoh@redhat.com> - 1.0.0-1
- New upstream release.
  - can input numerals when the candidate window doesn't appear. (#185934)
- scim-anthy-symbol-style.patch: removed.
- add Requires: gettext-devel
- run aclocal and autoconf as well to regenerate Makefile properly.

* Fri Mar 17 2006 Akira TAGOH <tagoh@redhat.com> - 0.9.0-3
- scim-anthy-symbol-style.patch: applied a backport patch from upstream CVS to
  add an UI for the symbol style. (#178400)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.0-2.fc5.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com>
- list .so modules explicitly in filelist

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.9.0-2
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against newer lib
- add scim-anthy-helper-moduledir.patch to tweak the helper module install dir,
  since scim.pc now returns moduledir with api-version
- remove anthy-imengine-helper.la

* Mon Jan 30 2006 Akira TAGOH <tagoh@redhat.com> - 0.9.0-1
- New upstream release.
- scim-anthy-wide-latin.diff: removed.

* Mon Jan 23 2006 Akira TAGOH <tagoh@redhat.com> - 0.8.0-2
- scim-anthy-wide-latin.diff: applied to fix a problem that the input character
  appears twice with the full size alphanumeric mode.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  1 2005 Akira TAGOH <tagoh@redhat.com> - 0.8.0-1
- New upstream release.

* Mon Nov 14 2005 Akira TAGOH <tagoh@redhat.com> - 0.7.1-2
- added Obsoletes: iiimf-le-canna <= 12.2 to ensure the upgrade path.

* Mon Oct 17 2005 Akira TAGOH <tagoh@redhat.com> - 0.7.1-1
- New upstream release.
- scim-0.7.0-fix_crash_bug.diff: removed.

* Fri Oct  7 2005 Akira TAGOH <tagoh@redhat.com> - 0.7.0-4
- scim-0.7.0-fix_crash_bug.diff: a patch to fix a crash issue.

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 0.7.0-3
- require scim

* Thu Oct  6 2005 Akira TAGOH <tagoh@redhat.com> - 0.7.0-2
- added Requires: kasumi.

* Thu Sep 29 2005 Akira TAGOH <tagoh@redhat.com> - 0.7.0-1
- New upstream release.

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 0.6.1-1
- New upstream release.

* Tue Aug  9 2005 Akira TAGOH <tagoh@redhat.com>
- added dist tag in Release.

* Tue Aug  2 2005 Akira TAGOH <tagoh@redhat.com> - 0.5.3-6
- removed PreReq as well.

* Tue Aug  2 2005 Akira TAGOH <tagoh@redhat.com> - 0.5.3-5
- removed %%post and %%postun for now.

* Tue Aug  2 2005 Akira TAGOH <tagoh@redhat.com> - 0.5.3-4
- Import into Core.
- relying the file dependencies instead of the explicit package dependency
  of anthy since anthy-libs was gone.
- clean up the spec file.

* Sat Jul 30 2005 Jens Petersen <petersen@redhat.com> - 0.5.3-2
- prereq scim xinput.d script

* Fri Jul 29 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com>
- add xinput.d alternatives setup in %%post and %%postun
- provide scim-ja_JP and only uninstall xinput.d-ja_JP alternative if
  no scim-ja_JP left

* Fri Jul 29 2005 Jens Petersen <petersen@redhat.com> - 0.5.3-1
- update to 0.5.3 release

* Tue Jul 26 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.5.2-1
- update to 0.5.2 release

* Sat Jul  9 2005 Jens Petersen <petersen@redhat.com> - 0.5.1-2
- update to 0.5.1 release

* Thu Jun 30 2005 Jens Petersen <petersen@redhat.com> - 0.5.0-1
- update to 0.5.0 release

* Wed Jun 29 2005 Jens Petersen <petersen@redhat.com> - 0.4.3-1
- use find_lang for translations (Ryo Dairiki)

* Tue Jun 28 2005 Jens Petersen <petersen@redhat.com>
- Initial packaging for Fedora Extras

* Fri May 27 2005 Jens Petersen <petersen@redhat.com> - 0.4.2-1
- Initial packaging.
